Create Property Files: Rent Manager
https://api.propexo.com/v1/properties/rentmanager/:property_id/file-upload/| Method |
|---|
| POST /Properties/{propertyId}/UploadImage |
| POST /Properties/UserDefinedValues |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- Array [
- ]
- Array [
- ]
The Propexo unique identifier for the integration
images object[]
Image files to upload for the property.
The Propexo unique identifier for the file type. This file_type must contain a "type" value of "image"
The type of file being uploaded. This defaults to "Image"
Show 1 enum value
ImageImageThe contents of the file, as a base64 encoded string. The PMS has a max file size of 1 MB.
Possible values: <= 1394606 characters
The name of the file including the extension. Ex: "image.jpg"
The mime type of the file. Ex: "image/jpeg"
The name of the image. Ex: "Balcony View"
A description of the image. Ex: "Stunning ocean view from the master bedroom balcony"
A caption for the image. Defaults to the image name if left undefined
attachments object[]
Attachment files for user defined fields on the property. All the files can have a maximum combined file size of 50 MB
The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"
The type of file being uploaded. This defaults to "Document"
Show 1 enum value
DocumentDocumentThe contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.
Possible values: <= 40443576 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
images object[]required
The Propexo unique identifier for the file type. This file_type must contain a "type" value of "image"
Show 1 enum value
ImageImageThe contents of the file, as a base64 encoded string. The PMS has a max file size of 1 MB.
Possible values: <= 1394606 characters
The name of the file including the extension. Ex: "image.jpg"
The mime type of the file. Ex: "image/jpeg"
The name of the image. Ex: "Balcony View"
A description of the image. Ex: "Stunning ocean view from the master bedroom balcony"
attachments object[]required
The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"
Show 1 enum value
DocumentDocumentThe contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.
Possible values: <= 40443576 characters
The name of the file including the extension. Ex: "resume.pdf"
The mime type of the file. Ex: "application/pdf"
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/properties/rentmanager/:property_id/file-upload/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"images": "Unknown Type: array,null",
"attachments": "Unknown Type: array,null"
}
}